| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Gaudi::PluginService::Details::Logger Class Reference

Simple logging class, just to provide a default implementation. More...

`#include <Gaudi/Details/PluginServiceDetails.h>`

## Public Types
enum | Level { Debug =0, Info =1, Warning =2, Error =3 }

## Public Member Functions
| Logger (Level level=Warning)
virtual | ~Logger ()
Level | level () const
void | setLevel (Level level)
void | info (const std::string &msg)
void | debug (const std::string &msg)
void | warning (const std::string &msg)
void | error (const std::string &msg)

## Private Member Functions
virtual void | report (Level lvl, const std::string &msg)

## Private Attributes
Level | m_level

## Detailed Description

Simple logging class, just to provide a default implementation.

Definition at line 208 of file PluginServiceDetails.h.

## Member Enumeration Documentation

enum Gaudi::PluginService::Details::Logger::Level

Enumerator
Debug |
Info |
Warning |
Error |

Definition at line 210 of file PluginServiceDetails.h.

210 { Debug=0, Info=1, Warning=2, Error=3 };
Gaudi::PluginService::Details::Logger::Info
Definition: PluginServiceDetails.h:210
Gaudi::PluginService::Details::Logger::Error
Definition: PluginServiceDetails.h:210
Gaudi::PluginService::Details::Logger::Warning
Definition: PluginServiceDetails.h:210
Gaudi::PluginService::Details::Logger::Debug
Definition: PluginServiceDetails.h:210

## Constructor & Destructor Documentation

Gaudi::PluginService::Details::Logger::Logger | ( | Level | level = `Warning` | ) |
| inline

Definition at line 211 of file PluginServiceDetails.h.

211 : m_level(level) {}
Gaudi::PluginService::Details::Logger::level
Level level() const
Definition: PluginServiceDetails.h:213
Gaudi::PluginService::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetails.h:221

virtual Gaudi::PluginService::Details::Logger::~Logger | ( |  | ) |
| inline virtual

Definition at line 212 of file PluginServiceDetails.h.

212 {}

## Member Function Documentation

void Gaudi::PluginService::Details::Logger::debug | ( | const std::string & | msg | ) |
| inline

Definition at line 216 of file PluginServiceDetails.h.

216 { report(Debug, msg); }
Gaudi::PluginService::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginService.cpp:333
Gaudi::PluginService::Details::Logger::Debug
Definition: PluginServiceDetails.h:210

void Gaudi::PluginService::Details::Logger::error | ( | const std::string & | msg | ) |
| inline

Definition at line 218 of file PluginServiceDetails.h.

218 { report(Error, msg); }
Gaudi::PluginService::Details::Logger::Error
Definition: PluginServiceDetails.h:210
Gaudi::PluginService::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginService.cpp:333

void Gaudi::PluginService::Details::Logger::info | ( | const std::string & | msg | ) |
| inline

Definition at line 215 of file PluginServiceDetails.h.

215 { report(Info, msg); }
Gaudi::PluginService::Details::Logger::Info
Definition: PluginServiceDetails.h:210
Gaudi::PluginService::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginService.cpp:333

Level Gaudi::PluginService::Details::Logger::level | ( |  | ) | const
| inline

Definition at line 213 of file PluginServiceDetails.h.

213 { return m_level; }
Gaudi::PluginService::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetails.h:221

void Gaudi::PluginService::Details::Logger::report | ( | Level | lvl,
|  | const std::string & | msg
| ) |  |
| private virtual

Definition at line 333 of file PluginService.cpp.

333 {
334 static const char* levels[] = {"DEBUG : ",
335 "INFO : ",
336 "WARNING: ",
337 "ERROR : "};
338 if (lvl >= level()) {
339 std::cerr << levels[lvl] << msg << std::endl;
340 }
341 }
Gaudi::PluginService::Details::Logger::level
Level level() const
Definition: PluginServiceDetails.h:213
std::endl
T endl(T...args)
std::cerr

void Gaudi::PluginService::Details::Logger::setLevel | ( | Level | level | ) |
| inline

Definition at line 214 of file PluginServiceDetails.h.

214 { m_level = level; }
Gaudi::PluginService::Details::Logger::level
Level level() const
Definition: PluginServiceDetails.h:213
Gaudi::PluginService::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetails.h:221

void Gaudi::PluginService::Details::Logger::warning | ( | const std::string & | msg | ) |
| inline

Definition at line 217 of file PluginServiceDetails.h.

217 { report(Warning, msg); }
Gaudi::PluginService::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginService.cpp:333
Gaudi::PluginService::Details::Logger::Warning
Definition: PluginServiceDetails.h:210

## Member Data Documentation

Level Gaudi::PluginService::Details::Logger::m_level
| private

Definition at line 221 of file PluginServiceDetails.h.

The documentation for this class was generated from the following files:

- GaudiPluginService/Gaudi/Details/PluginServiceDetails.h
- GaudiPluginService/src/PluginService.cpp